export class OPVaultError extends Error {
  constructor(message?: string, readonly code?: string) {
    super(message)
  }
}

class AssertionError extends OPVaultError {}

export class HMACAssertionError extends AssertionError {}

export class NotUnlockedError extends AssertionError {}

export function invariant(condition: any, message?: string): asserts condition {
  if (!condition) {
    throw new AssertionError(message)
  }
}
