#!/usr/bin/env node
const fs = require("fs")
const { resolve } = require("path")

const json = require("../package.json")
const date = new Date()
json.version = json.version
  .split(".")
  .slice(0, 2)
  .concat(
    [
      date.getUTCFullYear() - 2000,
      (date.getUTCMonth() + 1).toString().padStart(2, "0"),
      date.getUTCDate().toString().padStart(2, "0"),
    ].join("")
  )
  .join(".")

fs.writeFileSync(resolve(__dirname, "../package.json"), JSON.stringify(json, null, 2))
