import type { ItemSection } from "opvault.js"
import { useMemo } from "react"
import { Container } from "./Container"

export const DateView: React.FC<{ field: ItemSection.Date }> = ({ field }) => {
  const date = useMemo(() => new Date(field.v * 1000), [field.v])
  return <Container>{date.toLocaleDateString()}</Container>
}
