import type { DirEntry } from "opvault.js/src/adapter"

export interface IPC {
  showDirectoryPicker(): Promise<string | undefined>
  pathExists(path: string): Promise<boolean>
  readDir(path: string): Promise<DirEntry[]>
  readFile(path: string): Promise<Uint8Array>
  readTextFile(path: string): Promise<string>
  writeFile(path: string, data: string): Promise<void>
}
