import type { ItemSection } from "opvault.js"
import { Container } from "./Container"

export const Address: React.FC<{ field: ItemSection.Address }> = ({ field }) => (
  <Container style={{ whiteSpace: "pre" }}>
    <div>{field.v.street}</div>
    <div>
      {field.v.city}, {field.v.state} ({field.v.zip})
    </div>
    <div>{field.v.country}</div>
  </Container>
)
